test: _DEFERRAL_CONTEXT struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _DEFERRAL_CONTEXT Struct Reference

`#include <trackirp.h>`

List of all members.

## Public Attributes

PIOV_REQUEST_PACKET | IovRequestPacket
PIO_COMPLETION_ROUTINE | OriginalCompletionRoutine
PVOID | OriginalContext
PIRP | OriginalIrp
CCHAR | OriginalPriorityBoost
PDEVICE_OBJECT | DeviceObject
PIO_STACK_LOCATION | IrpSpNext
WORK_QUEUE_ITEM | WorkQueueItem
KDPC | DpcItem
KTIMER | DeferralTimer
DEFER_ACTION | DeferAction

## Member Data Documentation

DEFER_ACTION _DEFERRAL_CONTEXT::DeferAction

| Definition at line 237 of file trackirp.h. Referenced by IovpInternalCompleteAfterWait(), and IovpInternalDeferredCompletion().

KTIMER _DEFERRAL_CONTEXT::DeferralTimer

| Definition at line 236 of file trackirp.h. Referenced by IovpInternalCompleteAfterWait(), and IovpInternalDeferredCompletion().

PDEVICE_OBJECT _DEFERRAL_CONTEXT::DeviceObject

| Definition at line 232 of file trackirp.h. Referenced by IovpInternalCompleteAfterWait(), and IovpInternalDeferredCompletion().

KDPC _DEFERRAL_CONTEXT::DpcItem

| Definition at line 235 of file trackirp.h. Referenced by IovpInternalDeferredCompletion().

PIOV_REQUEST_PACKET _DEFERRAL_CONTEXT::IovRequestPacket

| Definition at line 227 of file trackirp.h. Referenced by IovpCompleteRequest3(), IovpInternalCompleteAfterWait(), and IovpInternalDeferredCompletion().

PIO_STACK_LOCATION _DEFERRAL_CONTEXT::IrpSpNext

| Definition at line 233 of file trackirp.h. Referenced by IovpCompleteRequest3(), and IovpInternalCompleteAfterWait().

PIO_COMPLETION_ROUTINE _DEFERRAL_CONTEXT::OriginalCompletionRoutine

| Definition at line 228 of file trackirp.h. Referenced by IovpCompleteRequest3(), IovpInternalCompleteAfterWait(), and IovpInternalDeferredCompletion().

PVOID _DEFERRAL_CONTEXT::OriginalContext

| Definition at line 229 of file trackirp.h. Referenced by IovpCompleteRequest3(), IovpInternalCompleteAfterWait(), and IovpInternalDeferredCompletion().

PIRP _DEFERRAL_CONTEXT::OriginalIrp

| Definition at line 230 of file trackirp.h. Referenced by IovpCompleteRequest3(), and IovpInternalCompleteAfterWait().

CCHAR _DEFERRAL_CONTEXT::OriginalPriorityBoost

| Definition at line 231 of file trackirp.h. Referenced by IovpCompleteRequest3(), and IovpInternalCompleteAfterWait().

WORK_QUEUE_ITEM _DEFERRAL_CONTEXT::WorkQueueItem

| Definition at line 234 of file trackirp.h. Referenced by IovpInternalDeferredCompletion().

The documentation for this struct was generated from the following file:

- trackirp.h